- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# auto – Loads and executes an inventory plugin specified in a YAML config

- Synopsis
- Examples
- Status

## Synopsis

- By whitelisting `auto` inventory plugin, any YAML inventory config file with a `plugin` key at its root will automatically cause the named plugin to be loaded and executed with that config. This effectively provides automatic whitelisting of all installed/accessible inventory plugins.
- To disable this behavior, remove `auto` from the `INVENTORY_ENABLED` config element.

## Examples

    # This plugin is not intended for direct use; it is a fallback mechanism for automatic whitelisting of
    # all installed inventory plugins.

## Status

- This inventory is not guaranteed to have a backwards compatible interface. [preview]
- This inventory is maintained by the Ansible Community. [community]

### Authors

- Matt Davis <@nitzmahone>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.